NICE(3)

NAME
nice - change process scheduling priority

SYNOPSIS
#include <unistd.h>
int
nice(int incr);

DESCRIPTION
This interface is obsoleted by setpriority(2).

The nice() function adds the value specified in incr to the scheduling priority of the invoking process.

incr is an integer such that the resulting scheduling priority is within the range -20 to 20. Priority values outside this range are truncated to the appropriate limit. The default priority is 0; lower priorities cause more favorable scheduling. Only the superuser may lower priorities.

Children inherit the priority of their parent processes via fork(2).

RETURN VALUES
On success, nice() returns the new priority. On error, it returns -1.

Since nice() can legitimately return the value -1, it is necessary to clear the external variable errno prior to the call, then check it afterward to determine if a -1 is an error or a legitimate value.

ERRORS
nice() has the same failure conditions as setpriority(2).

SEE ALSO
nice(1), fork(2), setpriority(2), renice(8)

HISTORY
A nice() system call appeared in AT&T UNIX.